package edu.uoc.android.socialplan.activities.general;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;

import com.google.firebase.messaging.FirebaseMessaging;

import edu.uoc.android.socialplan.activities.registro.RegistroActivity;
import edu.uoc.android.socialplan.application.App;

/**
 * Created by alejandroresuagarcia on 6/11/17.
 */

public class SplashScreenActivity extends AppCompatActivity {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Intent intent;
        final SharedPreferences prefs = ((App) getApplication()).getPrefs();
        final String userId = prefs.getString("userId", null);

        if(userId != null){
            intent = new Intent(this, MainActivity.class);
        }else{
            intent = new Intent(this, RegistroActivity.class);
        }

        startActivity(intent);
        finish();
    }
}
