package edu.uoc.android.socialplan.constants;

/**
 * Created by aresua on 08/08/2017.
 */

public enum TiposPlanes {
    EVENTOS(0, "eventos"), GRUPOS(1, "grupos"),;

    private final int id;
    private final String type;

    TiposPlanes(int id, String type){
        this.id = id;
        this.type = type;
    }

    public int getId() {
        return id;
    }

    public String getType() {
        return type;
    }

    public static TiposPlanes getTiposPlanes(String type) {
        for (TiposPlanes item : TiposPlanes.values()) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
