package edu.uoc.android.socialplan.holders;

import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.like.LikeButton;

import edu.uoc.android.socialplan.R;

/**
 * Created by aresua on 18/11/2017.
 */

public class PlanHolder extends RecyclerView.ViewHolder{

    private View mView;
    private ImageView eventoImage;
    private TextView eventoTitle;
    private LikeButton likeButton;
    private LinearLayout likesLayout;
    private TextView planDate;
    private TextView likesCountEvento;
    private TextView completo;
    public RelativeLayout viewBackground, itemEvento;
    public LinearLayout likesCountEventoLayout;

    public PlanHolder(View view) {
        super(view);
        mView = view;
        eventoImage = view.findViewById(R.id.evento_image);
        eventoTitle = view.findViewById(R.id.evento_title);
        likeButton = view.findViewById(R.id.star_button);
        likesLayout = view.findViewById(R.id.like_button_layout);
        planDate = view.findViewById(R.id.evento_date);
        likesCountEvento = view.findViewById(R.id.likes_count_evento);
        likesCountEventoLayout = view.findViewById(R.id.likes_count_evento_layout);
        completo = view.findViewById(R.id.completo_tv);
        viewBackground = view.findViewById(R.id.view_background);
        itemEvento = view.findViewById(R.id.item_evento);
    }

    public View getmView() {
        return mView;
    }

    public void setmView(View mView) {
        this.mView = mView;
    }

    public ImageView getEventoImage() {
        return eventoImage;
    }

    public void setEventoImage(ImageView eventoImage) {
        this.eventoImage = eventoImage;
    }

    public TextView getEventoTitle() {
        return eventoTitle;
    }

    public void setEventoTitle(TextView eventoTitle) {
        this.eventoTitle = eventoTitle;
    }

    public LikeButton getLikeButton() {
        return likeButton;
    }

    public void setLikeButton(LikeButton likeButton) {
        this.likeButton = likeButton;
    }

    public LinearLayout getLikesLayout() {
        return likesLayout;
    }

    public void setLikesLayout(LinearLayout likesLayout) {
        this.likesLayout = likesLayout;
    }

    public TextView getPlanDate() {
        return planDate;
    }

    public void setPlanDate(TextView planDate) {
        this.planDate = planDate;
    }

    public TextView getLikesCountEvento() {
        return likesCountEvento;
    }

    public void setLikesCountEvento(TextView likesCountEvento) {
        this.likesCountEvento = likesCountEvento;
    }

    public TextView getCompleto() {
        return completo;
    }

    public void setCompleto(TextView completo) {
        this.completo = completo;
    }

    public RelativeLayout getViewBackground() {
        return viewBackground;
    }

    public void setViewBackground(RelativeLayout viewBackground) {
        this.viewBackground = viewBackground;
    }

    public RelativeLayout getItemEvento() {
        return itemEvento;
    }

    public void setItemEvento(RelativeLayout itemEvento) {
        this.itemEvento = itemEvento;
    }

    public LinearLayout getLikesCountEventoLayout() {
        return likesCountEventoLayout;
    }

    public void setLikesCountEventoLayout(LinearLayout likesCountEventoLayout) {
        this.likesCountEventoLayout = likesCountEventoLayout;
    }
}
